
export default function previewtunnelModeInit(equipmentList) {
    //初始化将墙壁隐藏起来
    // for (let line = 1; line <= 20; line++) {
    //     if (line < 10) {
    //         let wall = 'wall_' + '0' + line
    //         this.scene.getObjectByName(wall).visible = false
    //     } else if (line >= 10) {
    //         let wall = 'wall_' + line
    //         this.scene.getObjectByName(wall).visible = false
    //     }
    // }
    equipmentList.forEach((item) => {
        this.addEquipment(this.scene.getObjectByName(item.position), item);
    });
    //进行预览和编辑模式的一些操作
    if (this.isedit == false) {
        this.scene.traverse(function (item) {
            if (item.name.includes('point')) {
                if (item.hasDevice == false) {
                    item.visible = false
                    item.layers.set(-1)
                }
            }
        })
    }
}